Subject: [bug#45011] [PATCH] add emacs-project and dependency

From: Jonathan <[email-masked]>
Date: Sat, 5 Dec 2020 12:18:29 -0600

Hi

The descriptions are the ones found in their project's homepage. I can't
think of a better synopsis for Project since it provides several functions
to operate on a project directory... Do you have a suggestion?.

Which patch do you want first? emacs-xref is needed for emacs-project. Do
you want me to send emacs-xref first?

Best,

On Fri, Dec 4, 2020 at 2:12 PM Nicolas Goaziou <[email-masked]>
wrote:

> Hello,
>
> Jonathan <[email-masked]> writes:
>
> >  gnu/packages/emacs-xyz.scm | 61 ++++++++++++++++++++++++++++++++++++++
> >  1 file changed, 61 insertions(+)
>
> Thank you!
>
> Could you write a commit message to introduce your changes? You can look
> at those starting with "Add ..." in the code base.
>
> Also, could you split it into two patches, one for each package?
>
> > +  (synopsis "Operations on the current project")
> > +  (description
> > +   "NOTE: The project API is still experimental and can change in major,
> > +backward-incompatible ways.  Everyone is encouraged to try it, and
> > +report to us any problems or use cases we hadn't anticipated, by
> > +sending an email to emacs-devel, or `M-x report-emacs-bug'.
> > +
> > +This file contains generic infrastructure for dealing with
> > +projects, some utility functions, and commands using that
> > +infrastructure.")
>
> The synopsis could be clarified, so could the description. In
> particular, the latter explains what the library is about.
>
> > +  (description
> > +    "NOTE: The xref API is still experimental and can change in major,
> > +backward-incompatible ways.  Everyone is encouraged to try it, and
> > +report to us any problems or use cases we hadn't anticipated, by
> > +sending an email to emacs-devel, or `M-x report-emacs-bug'.
> > +
> > +This file provides a somewhat generic infrastructure for cross
> > +referencing commands, in particular \"find-definition\".
> > +
> > +See the etags and elisp-mode implementations for full examples.")
>
> Ditto.
>
> Could you send an updated patch?
>
> Regards,
> --
> Nicolas Goaziou
>